package com.crm.custom.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.dto.golden.question.GoldenRewardQuestionDto;
import com.crm.rely.backend.model.dto.golden.question.GoldenRewardQuestionListDto;
import com.crm.rely.backend.model.entity.golden.question.*;

public interface GoldenRewardQuestionService {

    GoldenRewardQuestionDto getQuestion(Long customId) throws Exception;

    void customAddQuestion(GoldenQuestionCustomAddEntity entity) throws Exception;

    void add(GoldenRewardQuestionAddEntity entity) throws ServiceException;

    void delete(GoldenRewardQuestionDeleteEntitys entitys) throws ServiceException;

    void update(GoldenRewardQuestionUpdateEntity entity) throws ServiceException;

    ResultWithPagerDto<GoldenRewardQuestionListDto> searchPageList(GoldenRewardQuestionSearchEntity entity) throws ServiceException;

    GoldenRewardQuestionListDto searchSingle(SingleLongEntity entity) throws ServiceException;

    void rewardQuestionTask() throws Exception;
}
